#include "i2c.h"
#include "stepper.h"

namespace Intercom{
    
    void init(){
        Wire.pins(6, 7);
        Wire.begin(ADRESS);
        Wire.onReceive(receiveEvent);
        Wire.onRequest(requestEvent);
    }

    void requestEvent(){

    }

    void receiveEvent(int howMany){
        Led::ledB(true);
        if(howMany == 3){
            char command = Wire.read();

            if(command == 'm' || command == 'M'){
                byte b1 = Wire.read();
                byte b2 = Wire.read();

                int target = ((b1 & 255) << 8) | (b2 & 255);
                Stepper::setTarget(target);
                Led::ledB(true);
            }
        }
        Led::ledB(false);
    }
} // namespace Intercom

